# install-docker-ce

## Purpose of this role

With this role it is possible to install Docker CE and Docker Compose Plugin from Docker repo with custom options and add users to Docker group to access the daemon.

### ENV variables

The following environmental variables can be used in your playbook vars:

- docker_users: []  array that contains users who can access Docker via the socket and Docker CLI command
- docker_daemon_options: {}  dict, that can contains the settings of `/etc/docker/daemon.json`
> Note: As the daemon config file set up first, the network IP addresses can be set properly after the first installation.

### todo

- Add the ability to login to user-defined creds to registries
- Support other distributions than Debian